#ifndef ACTIVE_CALLS_INTERFACE_H
#define	ACTIVE_CALLS_INTERFACE_H

#include <libConstants.h>

#ifdef	__cplusplus
extern "C" {
#endif

	int activecalls_load();
	void activecalls_unload();
	void activecalls_reload();
	void activecalls_cel(struct ast_event *event);
	void activecalls_print(int fd);
	int activecalls_amiSendCallsCb(const void *arg);

#ifdef	__cplusplus
}
#endif

#ifdef	__cplusplus
int activecalls_getCountPrefix(int scope, std::vector<std::string> &prefixes);
int activecalls_getDurationPrefix(int scope, std::vector<std::string> &prefixes);
int activecalls_hangupOutgoingCalls(std::vector<std::string> emergencyList, std::vector<std::string> routePrefixes);
KTS_ExtensionType activecalls_getExtensionTypeConf(const std::string &telNum);
KTS_ExtensionType activecalls_getExtensionType(const std::string &telNum);
#endif

#endif	/* ACTIVE_CALLS_INTERFACE_H */
